#
# spec file for package tint
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2010 Guido Berhoerster <guido+opensuse.org@berhoerster.name>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tint
Version:        0.07
Release:        bp156.2.6
Summary:        A Clone of the Original Tetris Game
License:        BSD-3-Clause
Group:          Amusements/Games/Board/Puzzle
URL:            https://packages.debian.org/source/sid/tint
Source:         http://deb.debian.org/debian/pool/main/t/tint/tint_%{version}.tar.xz
# PATCH-FEATURE-OPENSUSE tint-0.04-scores-in-home.patch guido+opensuse.org@berhoerster.name -- Save highscore on a per-user basis under $XDG_DATA_HOME
Patch0:         tint-0.04-per-user-highscore.patch
BuildRequires:  ncurses-devel

%description
TINT is a clone of the original tetris game written by Alexey Pajitnov, Dmitry
Pavlovsky, and Vadim Gerasimov. The game is close to the original, but
there are a few differences.

%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags}"

%install
install -D -m 755 tint %{buildroot}%{_bindir}/tint
install -D -m 644 tint.6 %{buildroot}%{_mandir}/man6/tint.6
install -D -m 644 debian/tint.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m 644 debian/tint.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc CREDITS NOTES
%license debian/copyright
%{_bindir}/tint
%{_mandir}/man6/tint.6*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Apr 18 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.07
  * Sanitize input after fgets()
  * Fix deprecated function usage
  * Make room for printing a 32 bit integer
- Rebased tint-0.04-per-user-highscore.patch
* Thu Apr 22 2021 Jan Engelhardt <jengelh@inai.de>
- Resolve ambiguity about original closeness in description.
* Sat Apr 17 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.06
  * Bump compat level to 13
  * Add Rules-Requires-Root field
  * Document global scores usage
- Dropped upstream fixed tint-0.04-fix-buffer-overflow.patch
* Tue Aug 15 2017 sebix+novell.com@sebix.at
- spec-cleaned specfile
* Sun Mar 17 2013 gber@opensuse.org
- fix License
* Tue Aug 31 2010 gber@opensuse.org
- removed uneeded PreReq and added URL
* Wed Jul 21 2010 guido+opensuse.org@berhoerster.name
- initial packaging of tint
